# $Revision: 1.33 $, $Date: 2004/11/10 19:52:18 $
Summary:	X based image viewer for darned near all images
Summary(de):	X-basierender Bild-Viewer fr praktische smtliche Grafiken
Summary(es):	Visualizador de imgenes para X para cuasi todos los formatos de imgenes
Summary(fr):	Visualisateur sous X pour quasiment tous les types d'images
Summary(pl):	Przegldarka rnego rodzaju plikw graficznych pracujca w X Window
Summary(pt_BR):	Visualizador de imagens para X para quase todos os formatos de imagens
Summary(ru):	        X
Summary(tr):	X tabanl resim grntleyici
Summary(uk):	     ̦   X
Name:		xv
Version:	3.10a
Release:	27
License:	Shareware
Group:		X11/Applications/Graphics
Source0:	ftp://ftp.cis.upenn.edu/pub/xv/%{name}-%{version}.tar.gz
# Source0-md5:	2d4fbeec1561304362781cc8e2f7f72d
Source1:	ftp://swrinde.nde.swri.edu/pub/png/applications/%{name}-%{version}-png-1.2d.tar.gz
# Source1-md5:	c8cbe14db6e2104ed4eb5330cdaba420
Source2:	%{name}man310a-html.tar.gz
# Source2-md5:	78dce344e3e85faf01e1f13014aa659b
Source3:	%{name}.desktop
Source4:	%{name}.png
Source5:	%{name}-non-english-Xman-pages.tar.bz2
# Source5-md5:	4e5a6582ad76974309ca8bf8fb56b671
Patch0:		%{name}-PLD.patch
Patch1:		%{name}-FLmask.v2.1.patch
Patch2:		%{name}-JPEG.patch
Patch3:		%{name}-TIFF.patch
Patch4:		%{name}-croppad.patch
Patch5:		%{name}-deepcolor.patch
Patch6:		%{name}-exceed_grab_patch.txt
Patch7:		%{name}-gifpatch
Patch8:		%{name}-grabpatch
Patch9:		%{name}-longname.patch
Patch10:	%{name}-mp-tiff-patch
Patch11:	%{name}-pdf.patch
Patch12:	%{name}-png-fix2.patch
Patch13:	%{name}-vispatch
URL:		http://www.trilon.com/xv/xv.html
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	libpng-devel
BuildRequires:	sed
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the famous 'xv' by John Bradley. It is shareware, but we ship
it with the permission of the authors. It is a graphics viewer for
many file types, including gif, jpg, tiff, xwd, etc. It also has
manipulation features such as cropping, expanding, etc. Patched to
include flmask, a popular feature in Japan.

%description -l de
Dies ist das berhmte 'xv' von John Bradley, ein Shareware- Programm,
das wir mit Erlaubnis des Autors liefern. Es ist ein Grafik-Viewer fr
diverse Dateitypen, einschlielich gif, funktionen wie Trimmen,
Strecken u.. Mit flmask.

%description -l es
Este es el famoso 'xv' de John Bradley. Es shareware, pero nosotros lo
distribuimos con la permisin de los autores. Es un visor grfico para
varios tipos de archivos, incluyendo gif, jpg, tiff, xwd, etc. Tambin
posee caractersticas de manejo como corte, expansin, etc.

%description -l fr
Le clbre xv de John Bradley. C'est shareware, mais nous le
distribuons avec la permission de l'auteur. C'est un visualiseur
graphique pour de nombreux formats de fichier dont gif, jpg, tiff,
xwd, etc. Il offre aussi des fonctionnalits comme la capture,
l'extension, la retouche de palette, etc. Flmask.

%description -l pl
Synne 'xv' Johna Bradleya. Jest to program shareware, ale
udostpniamy go za zgod autora. Jest to przegldarka plikw
graficznych w rnych formatach, takich jak: gif, jpg, tiff, xwd i
innych. Ma te proste moliwoci obrbki obrazkw, takie jak obcinanie
czy rozszerzanie. Zawiera obsug flmask.

%description -l pt_BR
Este  o famoso 'xv' de John Bradley. Ele  shareware, mas ns o
distribuimos com a permisso dos autores.  um visualizador grfico
para vrios tipos de arquivos, incluindo gif, jpg, tiff, xwd, etc.
Tambm possui caractersticas de manipulao como corte, expanso,
etc.

%description -l ru
Xv -         X
Window System. Xv   GIF, JPEG, TIFF, PBM, PPM, PDF, X11
bitmap, Utah Raster Toolkit RLE, PDS/VICAR, Sun Rasterfile, BMP, PCX,
IRIS RGB, XPM, Targa, XWD, PostScript(TM)  PM. Xv   
   - cropping, expanding,   
..

%description -l tr
xv bata PNG, GIF, JPG, BMP, XBM, XPM olmak zere birok resim
dosyasn grntleyebilir, deiik formatlarda kaydedebilir ve
zerinde boyutlandrma, renk deitirme gibi baz temel ilemleri
yapabilir. ok detayl ilemler yapamamasna ramen temel resim
ilemlerinde ncellikle kullanlabilecek, kullanl arayzne sahip
bir programdr. Flmask.

%description -l uk
Xv -         X Window
System. Xv ͦ  GIF, JPEG, TIFF, PBM, PPM, PDF, X11 bitmap,
Utah Raster Toolkit RLE, PDS/VICAR, Sun Rasterfile, BMP, PCX, IRIS
RGB, XPM, Targa, XWD, PostScript(TM)  PM. Xv  ͦ 
   - cropping, expanding, Φ   ..

%prep
%setup -q
tar xvfz %{SOURCE1}
patch -p1 --quiet < xvpng.diff
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p1
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0
tar zxf %{SOURCE2}
sed 's,/usr/X11R6/lib,/usr/X11R6/%{_lib},' Makefile > M
mv -f M Makefile

%build
%{__make} \
	CCOPTS="%{rpmcflags} `pkg-config --cflags libpng12 2>/dev/null`" \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_mandir}/man1}

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir}

install %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE4} $RPM_BUILD_ROOT%{_pixmapsdir}
mv -f xvman310a manual

bzip2 -dc %{SOURCE5} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README docs/xvdocs.ps BUGS CHANGELOG IDEAS CPMASK 00_README manual
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/xv.desktop
%{_pixmapsdir}/*
%{_mandir}/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xv.spec,v $
Revision 1.33  2004/11/10 19:52:18  ankry
- ven -> ve in desktop, rel. 27

Revision 1.32  2004/10/30 10:29:07  qboosh
- pl fixes

Revision 1.31  2004/10/30 09:55:38  paladine
- pl fix

Revision 1.30  2004/07/22 11:01:34  ankry
- fixed desktop, rel. 26

Revision 1.29  2004/07/04 21:44:28  adamg
- release 25

Revision 1.28  2004/07/04 21:29:26  adamg
- pass CC, an attempt to fix build on amd64

Revision 1.27  2004/07/04 20:04:10  adamg
- release 24 (fixed desktop file)

Revision 1.26  2003/12/08 21:41:17  grzegol
- _applnkdir -> _desktopdir; rel. 23

Revision 1.25  2003/05/28 13:03:15  malekith
- massive attack: source-md5

Revision 1.24  2003/05/26 16:25:53  malekith
- massive attack: adding Source-md5

Revision 1.23  2003/05/25 06:28:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/02/26 16:08:19  t0tal
- added libtiff-devel, libpng-devel, libjpeg-devel to build requires

Revision 1.21  2003/01/18 22:59:38  juandon
- removed two lines with define

Revision 1.20  2002/10/28 06:54:17  kloczek
- release 21: merge trakslations from KSI and use new %doc.

Revision 1.19  2002/04/28 13:32:40  qboosh
- libpng 1.2.2 support

Revision 1.18  2002/02/23 05:29:56  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/18 02:15:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/11/23 14:51:03  kloczek
- s/Copyright/License/

Revision 1.14  2001/11/21 02:41:44  kloczek
- added png Icon for desktop file.

Revision 1.13  2001/11/21 01:56:44  kloczek
- merged translations stolen from CNV and adapterized spec.

Revision 1.12  2001/11/20 23:51:17  ankry
- added fi, pl man page
- release 20

Revision 1.11  2001/04/06 16:04:54  qboosh
- moved html documentation from /home/httpd/html/ to %%doc
- spec adapterized, use %%rpmcflags - %%debug ready now
- release 19

Revision 1.10  2000/07/15 00:00:31  kloczek
- release 18.

Revision 1.9  2000/06/09 07:55:17  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:24:23  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.6  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/01/23 22:56:07  kloczek
- release 17,
- desktop file with moe translations,
- spec adapter(ized).

Revision 1.4  1999/11/11 18:47:34  kura
- added pl translations
- added Group(pl)
- 'install -d' is called only once

Revision 1.3  1999/10/17 23:29:35  kloczek
- removed bos make install from %install.

Revision 1.2  1999/10/17 22:55:34  kloczek
- release 16,
- cosmetics.

Revision 1.1  1999/10/15 15:54:02  baggins
- first version

* Wed Feb 17 1999 Otto J. Makela <otto@cc.jyu.fi>
- integrated Japanese flmask patches

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- various spec file cleanups
- added patch to manipulate PNG files

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- built against glibc
- incorporated new jpegv6 patch from the author's web site
